function love.load()
--	love.window.setMode(480,640)
	
	local width, height = love.graphics.getDimensions( )
	
	circles = {
		{mode='line', x=width/4,y=height*(3/4), radius=3/4*math.min(width/4, height/4)},
		{mode='line', x=width*(3/4),y=height*(3/4), radius=3/4*math.min(width/4, height/4)},
		}
	
	last = {lines={}}
end
 
 
function love.update(dt)
	
end
 
function get_distance(p1, p2) 
	return math.floor(((p1.x-p2.x)^2+(p1.y-p2.y)^2)^0.5+0.5)
end
 
function love.draw()
	
	
	love.graphics.circle(circles[1].mode, circles[1].x, circles[1].y, circles[1].radius)
	love.graphics.circle(circles[2].mode, circles[2].x, circles[2].y, circles[2].radius)
	
    local touches = love.touch.getTouches()
	
	if #touches == 2 and not last.two then
		last.two = true
		last.positions={}
	elseif #touches == 2 then
--		local lp = last.positions
--		table.insert(last.lines, {line={lp[1].x, lp[1].y, lp[2].x, lp[2].y}, lenght=get_distance(lp[1], lp[2])})
		last.positions={}
	elseif last.two then
		local lp = last.positions
		table.insert(last.lines, {line={lp[1].x, lp[1].y, lp[2].x, lp[2].y}, lenght=get_distance(lp[1], lp[2])})
		last.positions={}
		last.two = false
	end
 
    for i, id in ipairs(touches) do
        local x, y = love.touch.getPosition(id)
        love.graphics.circle("fill", x, y, 20)
		love.graphics.print('x: '..x..' y: '..y, x+20, y+20)
		love.graphics.print('i: '..tostring(i)..' id: '..tostring(id), x+20, y+40)
		if #touches == 2 then
			table.insert(last.positions, {x=x,y=y})
		end
    end
	
	for i, holder in pairs (last.lines) do
		love.graphics.line(holder.line)
		love.graphics.print(holder.lenght, holder.line[1], holder.line[2])
	end
	
end

function love.touchpressed(id, x, y, dx, dy, pressure)
	-- Callback function triggered when the touch screen is touched.
	-- love.touchpressed( id, x, y, dx, dy, pressure )
	
	love.system.vibrate(0.1)
end
